# Namespace: BeefJS

## BeefJS

Register the BeEF JS on the window object.

##### Properties:

Name | Type | Description
--- | --- | ---
`version` | string | BeEf Version
`pageIsLoaded` | boolean | This gets set to true during window.onload(). It's a useful hack when messing with document.write().
`onpopstate` | array | An array containing functions to be executed by the window.onpopstate() method.
`onclose` | array | An array containing functions to be executed by the window.onclose() method.
`commands` | array | An array containing functions to be executed by Beef.
`components` | array | An array containing all the BeEF JS components.

Source:
  - beef.js, line 16

### Methods

#### (static) debug()

Adds a function to display debug messages (wraps console.log())

Source:
  - beef.js, line 40

#### (static) execute()

Adds a function to execute.

Source:
  - beef.js, line 62

#### (static) regCmp()

Registers a component in BeEF JS.

Source:
  - beef.js, line 77